Qt Reference Documentation

# css3_backgrounds.css Example File

webkit/webkit-guide/css/css3_backgrounds.css

     /****************************************************************************
     **
     ** Copyright (C) 2012 Nokia Corporation and/or its subsidiary(-ies).
     ** All rights reserved.
     ** Contact: Nokia Corporation (qt-info@nokia.com)
     **
     ** This file is part of the Qt WebKit module of the Qt Toolkit.
     **
     ** $QT_BEGIN_LICENSE:BSD$
     ** You may use this file under the terms of the BSD license as follows:
     **
     ** "Redistribution and use in source and binary forms, with or without
     ** modification, are permitted provided that the following conditions are
     ** met:
     **   * Redistributions of source code must retain the above copyright
     **     notice, this list of conditions and the following disclaimer.
     **   * Redistributions in binary form must reproduce the above copyright
     **     notice, this list of conditions and the following disclaimer in
     **     the documentation and/or other materials provided with the
     **     distribution.
     **   * Neither the name of Nokia Corporation and its Subsidiary(-ies) nor
     **     the names of its contributors may be used to endorse or promote
     **     products derived from this software without specific prior written
     **     permission.
     **
     ** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
     ** "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
     ** LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
     ** A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
     ** OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
     ** SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
     ** LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
     ** DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
     ** THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
     ** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
     ** OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."
     ** $QT_END_LICENSE$
     **
     ****************************************************************************/

     body {
         font-family             : sans-serif;
         background              : #aaaaaa;
     }

     h1,h2,h3,h4 {
         background              : #ffffff;
         text-align              : center;
         margin                  : 0.5em;
         padding                 : 0.5em;
         border-radius           : 0.5em;
     }

     .accordion {
         margin                  : 0.5em 0.5em 6em 0.5em;
         border-radius           : 0.5em;
         border                  : thin solid #aaa;
         background              : #ffffff;
         overflow                : hidden;
         padding                 : 1.0em 0.5em 1.0em 0.5em;

     }

     .accordion > dt {
         cursor                  : pointer;
         border-top              : thin solid #aaa;
         border-radius           : 0.5em;
         padding                 : 0.5em 0.5em 0.5em 2.5em;
         font-weight             : bold;
         background-size         : auto;
         background-image        : url(../img/icon_head-collapsed_x13.png);
         background-repeat       : no-repeat;
         background-position     : 12px 12px;
     }

     .accordion > dt:first-of-type {
         border-top              : none;
     }

     .accordion > dt.selected {
         background-image        : url(../img/icon_head-expanded_x13.png)    , url(../img/gradient.jpg);
         background-repeat       : no-repeat                , repeat-x;
         background-position     : 12px 12px                , 0 0;
         margin-bottom           : 0em;
     }

     dt + dd {
         max-height              : 0%;
         margin                  : 0;
         opacity                 : 0;
         padding                 : 0.5em;
         overflow-y              : hidden;
         max-height              : 0;
         -webkit-transform       : scaleY(0);
         -webkit-transition      : all 0.5s linear;
     }

     dt.selected + dd {
         -webkit-transform           : scaleY(1);
         -webkit-transform-origin    : center;
         max-height                  : 1000px;
         -webkit-transition          : all 0.5s linear;
         opacity                     : 1;
     }